MyGUI: MyGUI::Any Class Reference

MyGUI 3.2.2

Data Structures | Public Member Functions | Static Public Attributes
MyGUI::Any Class Reference

`#include <MyGUI_Any.h>`

## Data Structures
struct | AnyEmpty

## Public Member Functions
| Any ()
| Any (const Any::AnyEmpty &value)
| Any (const Any &other)
template<typename ValueType >
| Any (const ValueType &value)
| ~Any ()
Any & | swap (Any &rhs)
template<typename ValueType >
Any & | operator= (const ValueType &rhs)
Any & | operator= (const Any::AnyEmpty &rhs)
Any & | operator= (const Any &rhs)
bool | empty () const
const std::type_info & | getType () const
template<typename ValueType >
ValueType * | castType (bool _throw=true) const
void * | castUnsafe () const

## Static Public Attributes
static AnyEmpty | Null

## Detailed Description

Examples
  Class Any usage.

Definition at line 63 of file MyGUI_Any.h.

## Constructor & Destructor Documentation

## ◆ Any() [1/4]

MyGUI::Any::Any | ( |  | ) |

Definition at line 15 of file MyGUI_Any.cpp.

## ◆ Any() [2/4]

MyGUI::Any::Any | ( | const Any::AnyEmpty & | value | ) |

Definition at line 20 of file MyGUI_Any.cpp.

## ◆ Any() [3/4]

MyGUI::Any::Any | ( | const Any & | other | ) |

Definition at line 25 of file MyGUI_Any.cpp.

## ◆ Any() [4/4]

template<typename ValueType >

MyGUI::Any::Any | ( | const ValueType & | value | ) |
| inline

Definition at line 74 of file MyGUI_Any.h.

## ◆ ~Any()

MyGUI::Any::~Any | ( |  | ) |

Definition at line 30 of file MyGUI_Any.cpp.

## Member Function Documentation

## ◆ castType()

template<typename ValueType >

ValueType* MyGUI::Any::castType | ( | bool | _throw = `true` | ) | const
| inline

Examples
  Class Any usage.

Definition at line 98 of file MyGUI_Any.h.

## ◆ castUnsafe()

void * MyGUI::Any::castUnsafe | ( |  | ) | const

Definition at line 64 of file MyGUI_Any.cpp.

## ◆ empty()

bool MyGUI::Any::empty | ( |  | ) | const

Definition at line 54 of file MyGUI_Any.cpp.

## ◆ getType()

const std::type_info & MyGUI::Any::getType | ( |  | ) | const

Definition at line 59 of file MyGUI_Any.cpp.

## ◆ operator=() [1/3]

Any & MyGUI::Any::operator= | ( | const Any & | rhs | ) |

Definition at line 48 of file MyGUI_Any.cpp.

## ◆ operator=() [2/3]

Any & MyGUI::Any::operator= | ( | const Any::AnyEmpty & | rhs | ) |

Definition at line 41 of file MyGUI_Any.cpp.

## ◆ operator=() [3/3]

template<typename ValueType >

Any& MyGUI::Any::operator= | ( | const ValueType & | rhs | ) |
| inline

Definition at line 84 of file MyGUI_Any.h.

## ◆ swap()

Any & MyGUI::Any::swap | ( | Any & | rhs | ) |

Definition at line 35 of file MyGUI_Any.cpp.

## Field Documentation

## ◆ Null

Any::AnyEmpty MyGUI::Any::Null
| static

Definition at line 67 of file MyGUI_Any.h.

The documentation for this class was generated from the following files:

- MyGUI_Any.h
- MyGUI_Any.cpp